> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumenaza.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v3consumers

> Returns a list of dictionaries with key information for consumers



## OpenAPI

````yaml /lumx_openapi.yaml get /v3/consumers/
openapi: 3.0.3
info:
  title: Lumenaza external API
  version: 3.8.0 (v3)
  description: Specification of the Lumenaza external API.
servers:
  - url: https://api.lumenaza.de/
    description: Produktivserver
  - url: https://api.test.lumenaza.de/
    description: Testserver
security: []
tags:
  - name: Community Data API
    description: >-
      The API is used to retrieve master data and measurement data for a
      community. A community is defined by all customers that belong to your
      company.
paths:
  /v3/consumers/:
    get:
      tags:
        - consumers
      description: Returns a list of dictionaries with key information for consumers
      operationId: consumers_list
      parameters:
        - in: query
          name: saas_customer_lead_id
          schema:
            type: string
          description: >-
            additional tracking ID to identify the customer in the
            salespartner's system
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ConsumerList'
              examples:
                SuccessfulResponse:
                  value:
                    - saas_customer_id: <saas_customer_id>
                      saas_customer_lead_id: <saas_customer_lead_id>
                      company: false
                  summary: Example consumer
          description: ''
components:
  schemas:
    ConsumerList:
      type: object
      properties:
        saas_customer_id:
          type: string
        saas_customer_lead_id:
          type: string
        company:
          type: boolean
      required:
        - company
        - saas_customer_id
        - saas_customer_lead_id

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.